# sf_account_manager – Manage SolidFire accounts

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.11

Why

  This Module has been replaced

Alternative

  please use na_elementsw_account

## Synopsis

- Create, destroy, or update accounts on SolidFire

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
account_id - |  | The ID of the account to manage or update.
attributes - |  | List of Name/Value pairs in JSON object format.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
initiator_secret - |  | CHAP secret to use for the initiator. Should be 12-16 characters long and impenetrable. The CHAP initiator secrets must be unique and cannot be the same as the target CHAP secret. If not specified, a random secret is created.
name - / required |  | Unique username for this account. (May be 1 to 64 characters in length).
new_name - |  | New name for the user account.
password - / required |  | Password for the specified user. aliases: pass

state
- / required

Choices:
- present
- absent

Whether the specified account should exist or not.

status - |  | Status of the account.
target_secret - |  | CHAP secret to use for the target (mutual CHAP authentication). Should be 12-16 characters long and impenetrable. The CHAP target secrets must be unique and cannot be the same as the initiator CHAP secret. If not specified, a random secret is created.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create Account
      sf_account_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: present
        name: TenantA

    - name: Modify Account
      sf_account_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: present
        name: TenantA
        new_name: TenantA-Renamed

    - name: Delete Account
      sf_account_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: absent
        name: TenantA-Renamed

## Status

- This module will be removed in version 2.11. [deprecated]

- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.